New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Element 2.0.0-beta.1 已发布 🎉 #7612

Closed
Leopoldthecoder opened this Issue Oct 20, 2017 · 52 comments

Comments

Projects
None yet
@Leopoldthecoder
Member

Leopoldthecoder commented Oct 20, 2017

更新日志:https://github.com/ElemeFE/element/releases/tag/v2.0.0-beta.1

从 Beta 版本开始,我们鼓励各位用户开始在项目中使用 Element 2.0,也希望大家向我们及时反馈遇到的问题。

Element 2.0 截止目前的全部改动可以点击这里查看。

@Leopoldthecoder Leopoldthecoder changed the title from placeholder-zh to Element 2.0.0-beta.1 已发布 🎉 Oct 20, 2017

@yoyo837

This comment has been minimized.

Show comment
Hide comment
@yoyo837

yoyo837 Oct 20, 2017

Contributor

出第一个正式版我就升级上来

Contributor

yoyo837 commented Oct 20, 2017

出第一个正式版我就升级上来

@Lubyam

This comment has been minimized.

Show comment
Hide comment
@Lubyam

Lubyam Oct 20, 2017

正在学习 新技能

Lubyam commented Oct 20, 2017

正在学习 新技能

@sndwow

This comment has been minimized.

Show comment
Hide comment
@sndwow

sndwow commented Oct 20, 2017

支持

@ymsh

This comment has been minimized.

Show comment
Hide comment
@ymsh

ymsh Oct 20, 2017

[Vue warn]: Injection "elFormItem" not found
我的表单全报这样的错误,请问我要怎么处理???已升级到2.0beta1

ymsh commented Oct 20, 2017

[Vue warn]: Injection "elFormItem" not found
我的表单全报这样的错误,请问我要怎么处理???已升级到2.0beta1

@Leopoldthecoder

This comment has been minimized.

Show comment
Hide comment
@Leopoldthecoder

Leopoldthecoder Oct 20, 2017

Member

@ymsh 确保你的 Vue 和 Element 都是最新版。

Member

Leopoldthecoder commented Oct 20, 2017

@ymsh 确保你的 Vue 和 Element 都是最新版。

@ymsh

This comment has been minimized.

Show comment
Hide comment
@ymsh

ymsh Oct 20, 2017

@Leopoldthecoder
我的vue是2.3.3版本,需要升级到哪个版本比较好??

ymsh commented Oct 20, 2017

@Leopoldthecoder
我的vue是2.3.3版本,需要升级到哪个版本比较好??

@Leopoldthecoder

This comment has been minimized.

Show comment
Hide comment
@Leopoldthecoder
Member

Leopoldthecoder commented Oct 20, 2017

@ymsh 2.5.2

@BruceFan-FS71

This comment has been minimized.

Show comment
Hide comment
@BruceFan-FS71

BruceFan-FS71 commented Oct 21, 2017

强烈支持

@ymsh

This comment has been minimized.

Show comment
Hide comment
@ymsh

ymsh Oct 21, 2017

@Leopoldthecoder 谢谢,更新到vue2.5.2,问题已解决

ymsh commented Oct 21, 2017

@Leopoldthecoder 谢谢,更新到vue2.5.2,问题已解决

@xf123456

This comment has been minimized.

Show comment
Hide comment
@xf123456

xf123456 Oct 21, 2017

element官网访问好卡吖

xf123456 commented Oct 21, 2017

element官网访问好卡吖

@liuzhaozhao

This comment has been minimized.

Show comment
Hide comment
@liuzhaozhao

liuzhaozhao Oct 21, 2017

支持,支持,强烈支持

liuzhaozhao commented Oct 21, 2017

支持,支持,强烈支持

@xuelabi123

This comment has been minimized.

Show comment
Hide comment
@xuelabi123

xuelabi123 Oct 21, 2017

up!什么时候发正式版吖

xuelabi123 commented Oct 21, 2017

up!什么时候发正式版吖

@ukhack

This comment has been minimized.

Show comment
Hide comment
@ukhack

ukhack Oct 21, 2017

我抢先体验了。可是项目报错:Failed to compile with 1 errors

ERROR in ./src/main.js
Module not found: Error: Can't resolve 'element-ui/lib/theme-default/index.css'

我的main.js代码:

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI)

是不是你们没有把element-ui中旧依赖删除?
npm用的是淘宝镜像

ukhack commented Oct 21, 2017

我抢先体验了。可是项目报错:Failed to compile with 1 errors

ERROR in ./src/main.js
Module not found: Error: Can't resolve 'element-ui/lib/theme-default/index.css'

我的main.js代码:

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI)

是不是你们没有把element-ui中旧依赖删除?
npm用的是淘宝镜像

@zhaonan420

This comment has been minimized.

Show comment
Hide comment
@zhaonan420

zhaonan420 Oct 21, 2017

分页样式变化挺大的呀

1.47
1

2.0
2

zhaonan420 commented Oct 21, 2017

分页样式变化挺大的呀

1.47
1

2.0
2

@LoverMaker

This comment has been minimized.

Show comment
Hide comment
@LoverMaker

LoverMaker Oct 21, 2017

支持!仔细看了下各组件的变化蛮大,整体来说可用性提高了不少,但发现有些组件样式变丑了,比如按钮,Message 消息提示,表格,分页,希望后面的版本有所改善。

LoverMaker commented Oct 21, 2017

支持!仔细看了下各组件的变化蛮大,整体来说可用性提高了不少,但发现有些组件样式变丑了,比如按钮,Message 消息提示,表格,分页,希望后面的版本有所改善。

@julytian

This comment has been minimized.

Show comment
Hide comment
@julytian

julytian Oct 22, 2017

@Leopoldthecoder Transfer 穿梭框的输入框与文字样式位置有点错乱了

julytian commented Oct 22, 2017

@Leopoldthecoder Transfer 穿梭框的输入框与文字样式位置有点错乱了

@dcxy0

This comment has been minimized.

Show comment
Hide comment
@dcxy0

dcxy0 Oct 23, 2017

啥时候能支持一下移动端就好了

dcxy0 commented Oct 23, 2017

啥时候能支持一下移动端就好了

@yoyoping

This comment has been minimized.

Show comment
Hide comment
@yoyoping

yoyoping Oct 23, 2017

请问下 直接把vue和element 通过npm升上去就可以了吗

yoyoping commented Oct 23, 2017

请问下 直接把vue和element 通过npm升上去就可以了吗

@zuibunan

This comment has been minimized.

Show comment
Hide comment
@zuibunan

zuibunan Oct 23, 2017

官网滚动条太细了,有时候想拖动滚动条往下看说明,选不中滚动条

zuibunan commented Oct 23, 2017

官网滚动条太细了,有时候想拖动滚动条往下看说明,选不中滚动条

@conanguyw

This comment has been minimized.

Show comment
Hide comment
@conanguyw

conanguyw Oct 23, 2017

daterange之类的日期范围选择的控件有问题啊,选不了

conanguyw commented Oct 23, 2017

daterange之类的日期范围选择的控件有问题啊,选不了

@lhy666

This comment has been minimized.

Show comment
Hide comment
@lhy666

lhy666 Oct 23, 2017

确实整体来说组件可用性更高了,但是样式真的有点变丑了。。还有点小建议就是既然导航菜单都给了当前激活菜单的文字颜色,就能顺便给个当前激活菜单的背景颜色嘛 @Leopoldthecoder

lhy666 commented Oct 23, 2017

确实整体来说组件可用性更高了,但是样式真的有点变丑了。。还有点小建议就是既然导航菜单都给了当前激活菜单的文字颜色,就能顺便给个当前激活菜单的背景颜色嘛 @Leopoldthecoder

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

请问,怎么我的EL UI升级到1.3.7后,就无法升级了呢?

GitHub-Leon commented Oct 23, 2017

请问,怎么我的EL UI升级到1.3.7后,就无法升级了呢?

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

npm u element-ui 执行后,版本依然是V1.3.7 @Leopoldthecoder

GitHub-Leon commented Oct 23, 2017

npm u element-ui 执行后,版本依然是V1.3.7 @Leopoldthecoder

@lhy666

This comment has been minimized.

Show comment
Hide comment
@lhy666

lhy666 Oct 23, 2017

教你个笨方法,npm uninstall卸载掉element,再npm i element-ui@next -S下载最新的就好了 @GitHub-Leon

lhy666 commented Oct 23, 2017

教你个笨方法,npm uninstall卸载掉element,再npm i element-ui@next -S下载最新的就好了 @GitHub-Leon

@yoyo837

This comment has been minimized.

Show comment
Hide comment
@yoyo837

yoyo837 Oct 23, 2017

Contributor

直接改package.json, 然后npm i/yarn 一下

Contributor

yoyo837 commented Oct 23, 2017

直接改package.json, 然后npm i/yarn 一下

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

@yoyo837 我试试看,p.json里面改版本号,对么?

GitHub-Leon commented Oct 23, 2017

@yoyo837 我试试看,p.json里面改版本号,对么?

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

@lhy666 你说的这个命令@next是指对应的版本号吧?

GitHub-Leon commented Oct 23, 2017

@lhy666 你说的这个命令@next是指对应的版本号吧?

@lhy666

This comment has been minimized.

Show comment
Hide comment
@lhy666

lhy666 Oct 23, 2017

不用,我这句话你直接复制就好了,官方提供的。
default

lhy666 commented Oct 23, 2017

不用,我这句话你直接复制就好了,官方提供的。
default

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

@lhy666 这是2.0的更新命令呀?

GitHub-Leon commented Oct 23, 2017

@lhy666 这是2.0的更新命令呀?

@lhy666

This comment has been minimized.

Show comment
Hide comment
@lhy666

lhy666 Oct 23, 2017

就是更新到2.0啊。。。不然直接修改packjson把,也可以的。另外推荐yarn

lhy666 commented Oct 23, 2017

就是更新到2.0啊。。。不然直接修改packjson把,也可以的。另外推荐yarn

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

@yoyo837 我的json文件里面是1.4.6,但是main.js里面console出来的version是1.3.7,是怎么回事呢?

GitHub-Leon commented Oct 23, 2017

@yoyo837 我的json文件里面是1.4.6,但是main.js里面console出来的version是1.3.7,是怎么回事呢?

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

@lhy666 我的json文件里面是1.4.6,但是main.js里面console出来的version是1.3.7,是怎么回事呢?

GitHub-Leon commented Oct 23, 2017

@lhy666 我的json文件里面是1.4.6,但是main.js里面console出来的version是1.3.7,是怎么回事呢?

@yoyo837

This comment has been minimized.

Show comment
Hide comment
@yoyo837

yoyo837 Oct 23, 2017

Contributor

这是基础。
@GitHub-Leon 建议私聊,5秒一个email全部都跟着响。

Contributor

yoyo837 commented Oct 23, 2017

这是基础。
@GitHub-Leon 建议私聊,5秒一个email全部都跟着响。

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon commented Oct 23, 2017

image
image

@GitHub-Leon

This comment has been minimized.

Show comment
Hide comment
@GitHub-Leon

GitHub-Leon Oct 23, 2017

@yoyo837 sorry,打扰到你了,我很抱歉

GitHub-Leon commented Oct 23, 2017

@yoyo837 sorry,打扰到你了,我很抱歉

@GodStream

This comment has been minimized.

Show comment
Hide comment
@GodStream

GodStream Oct 23, 2017

2.0部分组件点击后会出现闪现蓝边,是什么情况?

image
@Leopoldthecoder

目前手动写样式覆盖掉了

GodStream commented Oct 23, 2017

2.0部分组件点击后会出现闪现蓝边,是什么情况?

image
@Leopoldthecoder

目前手动写样式覆盖掉了

@SteveCruise

This comment has been minimized.

Show comment
Hide comment
@SteveCruise

SteveCruise Oct 23, 2017

等正式版再说吧,alpha版时试了一下,布局都变得不正常了

SteveCruise commented Oct 23, 2017

等正式版再说吧,alpha版时试了一下,布局都变得不正常了

@WALLE729

This comment has been minimized.

Show comment
Hide comment
@WALLE729

WALLE729 Oct 23, 2017

树形控件问题有点多,建议做例子的时候,层级深一些

WALLE729 commented Oct 23, 2017

树形控件问题有点多,建议做例子的时候,层级深一些

@Noemi-

This comment has been minimized.

Show comment
Hide comment
@Noemi-

Noemi- Oct 24, 2017

大概啥时候有正式版哇~ 要上新项目了,想用2.0又担心正式版改动太大

Noemi- commented Oct 24, 2017

大概啥时候有正式版哇~ 要上新项目了,想用2.0又担心正式版改动太大

@penghang

This comment has been minimized.

Show comment
Hide comment
@penghang

penghang Oct 24, 2017

现在还不敢直接使用,自己玩玩熟悉一下还可以,类似要修复的地方太多,用在项目中风险较大
image

penghang commented Oct 24, 2017

现在还不敢直接使用,自己玩玩熟悉一下还可以,类似要修复的地方太多,用在项目中风险较大
image

@Leopoldthecoder

This comment has been minimized.

Show comment
Hide comment
@Leopoldthecoder

Leopoldthecoder Oct 24, 2017

Member

如果官网访问速度慢的话,可以尝试一下 http://element-cn.eleme.io/ 。这个站点部署在国内,理论上大陆用户的访问速度会快一些。

Member

Leopoldthecoder commented Oct 24, 2017

如果官网访问速度慢的话,可以尝试一下 http://element-cn.eleme.io/ 。这个站点部署在国内,理论上大陆用户的访问速度会快一些。

@Ansel

This comment has been minimized.

Show comment
Hide comment
@Ansel

Ansel Oct 24, 2017

table组件官方网站例子在Safari 11.0上表头和表格内容上下不对齐,在chrome上显示正常。应该是遗留的bug吧

Ansel commented Oct 24, 2017

table组件官方网站例子在Safari 11.0上表头和表格内容上下不对齐,在chrome上显示正常。应该是遗留的bug吧

@jinzhiwen

This comment has been minimized.

Show comment
Hide comment
@jinzhiwen

jinzhiwen Oct 25, 2017

如果导航菜单的el-menu-item嵌套一个router-link 那么就会出现这种情况:点击某菜单选项,先加载路由,样式(选中效果的字体颜色等)却没有变化,再次点击该菜单才会出现样式变化。难道此处不能使用router-link这个形式的路由么?

jinzhiwen commented Oct 25, 2017

如果导航菜单的el-menu-item嵌套一个router-link 那么就会出现这种情况:点击某菜单选项,先加载路由,样式(选中效果的字体颜色等)却没有变化,再次点击该菜单才会出现样式变化。难道此处不能使用router-link这个形式的路由么?

@milixie

This comment has been minimized.

Show comment
Hide comment
@milixie

milixie Oct 25, 2017

image
cuo'we错位了

milixie commented Oct 25, 2017

image
cuo'we错位了

@hunter007

This comment has been minimized.

Show comment
Hide comment
@hunter007

hunter007 Oct 25, 2017

项目已经用1.0系列上线很长时间了,坚持在element出新版本的时候更新,这样做,是兼容最新版本需要的努力最小的。但看了2.0之后,真不敢升级。不是因为难度,而是做相关的修复工作量太大,公司根本不给这些时间。非常希望像以前一样,逐步升级,最后过度到2.0。

hunter007 commented Oct 25, 2017

项目已经用1.0系列上线很长时间了,坚持在element出新版本的时候更新,这样做,是兼容最新版本需要的努力最小的。但看了2.0之后,真不敢升级。不是因为难度,而是做相关的修复工作量太大,公司根本不给这些时间。非常希望像以前一样,逐步升级,最后过度到2.0。

@yoyo837

This comment has been minimized.

Show comment
Hide comment
@yoyo837

yoyo837 Oct 25, 2017

Contributor

能做逐步升级必然无法实现结构性的改变,版本号永远会是1.x

Contributor

yoyo837 commented Oct 25, 2017

能做逐步升级必然无法实现结构性的改变,版本号永远会是1.x

@kevinlincg

This comment has been minimized.

Show comment
Hide comment
@kevinlincg

kevinlincg Oct 25, 2017

希望能搭配 admin模版一起推出

kevinlincg commented Oct 25, 2017

希望能搭配 admin模版一起推出

@wangtifang

This comment has been minimized.

Show comment
Hide comment
@wangtifang

wangtifang Oct 25, 2017

表格组件希望新增一个tree-table组件。可以有父子级关系的那种!

wangtifang commented Oct 25, 2017

表格组件希望新增一个tree-table组件。可以有父子级关系的那种!

@xiefei6688

This comment has been minimized.

Show comment
Hide comment
@xiefei6688

xiefei6688 Oct 25, 2017

如何设置Table 表格单个单元格背景色

xiefei6688 commented Oct 25, 2017

如何设置Table 表格单个单元格背景色

@baicoding

This comment has been minimized.

Show comment
Hide comment
@baicoding

baicoding Oct 26, 2017

1.el-container布局在火狐下el-main不能自动出现垂直滚动条。
2.求教:table组件如何设置高度为100%时,固定表头啊?

baicoding commented Oct 26, 2017

1.el-container布局在火狐下el-main不能自动出现垂直滚动条。
2.求教:table组件如何设置高度为100%时,固定表头啊?

@techzealot

This comment has been minimized.

Show comment
Hide comment
@techzealot

techzealot Oct 26, 2017

希望能保留以前的分页样式,感觉现在的样式体验不太好,页码很难看清楚,选中的页码和未选中的区分度太小了@Leopoldthecoder

techzealot commented Oct 26, 2017

希望能保留以前的分页样式,感觉现在的样式体验不太好,页码很难看清楚,选中的页码和未选中的区分度太小了@Leopoldthecoder

@baicoding

This comment has been minimized.

Show comment
Hide comment
@baicoding

baicoding Oct 27, 2017

@Leopoldthecoder
1.建议el-input等组件能注入style到原始的input中去,这样能实现字符的大小写等控制。
2.el-input-number组件不显示按钮(controls=false)的时候,样式有点奇怪,数值显示在中间了,左右会留有空边

baicoding commented Oct 27, 2017

@Leopoldthecoder
1.建议el-input等组件能注入style到原始的input中去,这样能实现字符的大小写等控制。
2.el-input-number组件不显示按钮(controls=false)的时候,样式有点奇怪,数值显示在中间了,左右会留有空边

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment